[Gmod-ajax] jbrowse 1.21.1 show abnormal in IE 11

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

[Gmod-ajax] jbrowse 1.21.1 show abnormal in IE 11

Li, Pingchuan

Hi there,

 

So far I  am using a jbrowse 1.21.1 in Ubuntu 14.04, and I am unable to install the libpng 1.6 and development library of course, because the highest version is 1.2 for Ubuntu 14.04 and my Ubuntu is definitely unable to install the legacy wiggle format support related package.  I actually tried installation 1.6 libpng with 3rd party of sources, but still not working for the ./setup.sh, any clue for this?

 

In addition, the jbrowse is unable to be shown in IE 11, is this a bug or glich for my jbrowse installation?

 

Thanks
Pingchuan

 

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: jbrowse 1.21.1 show abnormal in IE 11

Scott Cain
Hi Pingchuan,

Do you need legacy wiggle support? If you are installing JBrowse for the first time now, I doubt it--you'll get much better performance by converting your wiggles to bigwigs and using the built in support for them.

I can't say about IE 11--I kind of thought IE 11 would be supported but perhaps not.  What is the nature of the failure?

Scott


On Wed, Jan 25, 2017 at 12:42 PM, Li, Pingchuan <[hidden email]> wrote:

Hi there,

 

So far I  am using a jbrowse 1.21.1 in Ubuntu 14.04, and I am unable to install the libpng 1.6 and development library of course, because the highest version is 1.2 for Ubuntu 14.04 and my Ubuntu is definitely unable to install the legacy wiggle format support related package.  I actually tried installation 1.6 libpng with 3rd party of sources, but still not working for the ./setup.sh, any clue for this?

 

In addition, the jbrowse is unable to be shown in IE 11, is this a bug or glich for my jbrowse installation?

 

Thanks
Pingchuan

 

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax




--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: jbrowse 1.21.1 show abnormal in IE 11

Ke Jiang
IE 11 should work, can you check whether some backward compatibility was turned on in IE? Sometimes that causes problem with AJAX web pages.

On Wed, Jan 25, 2017 at 1:58 PM, Scott Cain <[hidden email]> wrote:
Hi Pingchuan,

Do you need legacy wiggle support? If you are installing JBrowse for the first time now, I doubt it--you'll get much better performance by converting your wiggles to bigwigs and using the built in support for them.

I can't say about IE 11--I kind of thought IE 11 would be supported but perhaps not.  What is the nature of the failure?

Scott


On Wed, Jan 25, 2017 at 12:42 PM, Li, Pingchuan <[hidden email]> wrote:

Hi there,

 

So far I  am using a jbrowse 1.21.1 in Ubuntu 14.04, and I am unable to install the libpng 1.6 and development library of course, because the highest version is 1.2 for Ubuntu 14.04 and my Ubuntu is definitely unable to install the legacy wiggle format support related package.  I actually tried installation 1.6 libpng with 3rd party of sources, but still not working for the ./setup.sh, any clue for this?

 

In addition, the jbrowse is unable to be shown in IE 11, is this a bug or glich for my jbrowse installation?

 

Thanks
Pingchuan

 

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax




--
------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" value="+12163923087" target="_blank">216-392-3087
Ontario Institute for Cancer Research

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: jbrowse 1.21.1 show abnormal in IE 11

Li, Pingchuan
In reply to this post by Scott Cain

Hi Scott,

 

Thanks very much for prompt response.  Actually, I don’t need the wiggle, just asked it in case for future usage when the db is growing bigger and bigger. The installation runs smoothly in Ubuntu 16.04 LTS which has the supports of libpng 1.6 via apt-get.

 

The only thing I don’t understand about this one is why it doesn’t work for a separation libpng library installation downloaded from  libpng.org. The embedded one in 16.04 by apt-get seems to be the same one from libpng.org.

 

Anyway if there is no resolution for this, I might upgrade my 14.04 ubuntu to 16.4.

 

As for IE 11, it’s a little bit weird, because IE11 definitely shows a good example like below,

 

https://apps.araport.org/jbrowse/?data=arabidopsis&loc=Chr1%3A24330921..24334429&tracks=TAIR10_genome%2CAraport11_Loci%2CAraport11_gene_models%2Clight_tophat%2CTAIR9_tDNAs%2CSALK_tDNAs&highlight=

 

however, it just doesn’t work for my own jbrowser in IE11.  The jbrowse was installed in Ubuntu 14.04 yesterday.

 

Is there anyway to check what’s version of jbrowse is in use for above example?

 

Thanks,

PIngchuan

 

From: Scott Cain [mailto:[hidden email]]
Sent: January-25-17 12:58 PM
To: Li, Pingchuan
Cc: [hidden email]
Subject: Re: [Gmod-ajax] jbrowse 1.21.1 show abnormal in IE 11

 

Hi Pingchuan,

 

Do you need legacy wiggle support? If you are installing JBrowse for the first time now, I doubt it--you'll get much better performance by converting your wiggles to bigwigs and using the built in support for them.

 

I can't say about IE 11--I kind of thought IE 11 would be supported but perhaps not.  What is the nature of the failure?

 

Scott

 

 

On Wed, Jan 25, 2017 at 12:42 PM, Li, Pingchuan <[hidden email]> wrote:

Hi there,

 

So far I  am using a jbrowse 1.21.1 in Ubuntu 14.04, and I am unable to install the libpng 1.6 and development library of course, because the highest version is 1.2 for Ubuntu 14.04 and my Ubuntu is definitely unable to install the legacy wiggle format support related package.  I actually tried installation 1.6 libpng with 3rd party of sources, but still not working for the ./setup.sh, any clue for this?

 

In addition, the jbrowse is unable to be shown in IE 11, is this a bug or glich for my jbrowse installation?

 

Thanks
Pingchuan

 

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax
Reply | Threaded
Open this post in threaded view
|

Re: jbrowse 1.21.1 show abnormal in IE 11

Li, Pingchuan
In reply to this post by Ke Jiang

Actually my IE11 works for other website implemented with jbrowse, see below:

 

https://apps.araport.org/jbrowse/?data=arabidopsis&loc=Chr1%3A24330921..24334429&tracks=TAIR10_genome%2CAraport11_Loci%2CAraport11_gene_models%2Clight_tophat%2CTAIR9_tDNAs%2CSALK_tDNAs&highlight=

 

I installed the jbrowse in Ubuntu 14.04 with the official introduction but lucky to see the difference.

 

Thanks,

Pingchuan

 

 

From: Ke Jiang [mailto:[hidden email]]
Sent: January-25-17 2:15 PM
To: Scott Cain
Cc: Li, Pingchuan; [hidden email]
Subject: Re: [Gmod-ajax] jbrowse 1.21.1 show abnormal in IE 11

 

IE 11 should work, can you check whether some backward compatibility was turned on in IE? Sometimes that causes problem with AJAX web pages.

 

On Wed, Jan 25, 2017 at 1:58 PM, Scott Cain <[hidden email]> wrote:

Hi Pingchuan,

 

Do you need legacy wiggle support? If you are installing JBrowse for the first time now, I doubt it--you'll get much better performance by converting your wiggles to bigwigs and using the built in support for them.

 

I can't say about IE 11--I kind of thought IE 11 would be supported but perhaps not.  What is the nature of the failure?

 

Scott

 

 

On Wed, Jan 25, 2017 at 12:42 PM, Li, Pingchuan <[hidden email]> wrote:

Hi there,

 

So far I  am using a jbrowse 1.21.1 in Ubuntu 14.04, and I am unable to install the libpng 1.6 and development library of course, because the highest version is 1.2 for Ubuntu 14.04 and my Ubuntu is definitely unable to install the legacy wiggle format support related package.  I actually tried installation 1.6 libpng with 3rd party of sources, but still not working for the ./setup.sh, any clue for this?

 

In addition, the jbrowse is unable to be shown in IE 11, is this a bug or glich for my jbrowse installation?

 

Thanks
Pingchuan

 

 

 

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax



 

--

------------------------------------------------------------------------
Scott Cain, Ph. D.                                   scott at scottcain dot net
GMOD Coordinator (http://gmod.org/)                     <a href="tel:(216)%20392-3087" target="_blank">216-392-3087
Ontario Institute for Cancer Research


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax

 


------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, SlashDot.org! http://sdm.link/slashdot
_______________________________________________
Gmod-ajax mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gmod-ajax